## О проекте

Мы стремимся создать удобный интерфейс взаимодействия web-приложения с сертифицированным СКЗИ КриптоПро CSP, реализующим алгоритм хэширования данных в соответствии с ГОСТ Р 34.11-94 (ГОСТ Р 34.11-2012) и алгоритм электронно-цифровой подписи в соответствии с ГОСТ Р 34.10-2001 (ГОСТ Р 34.10-2012).

Главная цель проекта - интерфейс, реализующий единый набор функций, не привязанный к какой-либо платформе и среде исполнения.

Интерфейс реализует упрощённый доступ к следующим операциям:
- работа с сертификатами;
- создание и проверка подписи;
- шифрование и расшифрование данных.

 Интерфейс доступен в виде библиотеки классов на языках PHP и JS.
 
 ## Хотите помочь?
 
 - [Проспонсируйте разработку](https://github.com/crypto-pro-web/.github/blob/main/HELPING_OUT.md#sponsor)
 - [Давайте сделаем интеграцию с вашим продуктом](https://github.com/crypto-pro-web/.github/blob/main/HELPING_OUT.md#let-us-do-your-integration)
 - [Внесите свой вклад в проект](https://github.com/crypto-pro-web/.github/blob/main/HELPING_OUT.md#contribute)
 - [Помогите с поддержкой пакетов](https://github.com/crypto-pro-web/.github/blob/main/HELPING_OUT.md#maintain)

## Участие в проекте

Присылайте свой код, сообщайте о проблемах, задавайте вопросы! Любое участие приветствуется! 

Перед тем, как стать участником проекта, убедитесь, что вы прочитали наши общие [принципы участия](https://github.com/crypto-pro-web/.github/blob/main/CONTRIBUTING.md).
Ваш код будет опубликован под [лицензией MIT](https://github.com/crypto-pro-web/.github/blob/main/LICENSE) (лицензия наиболее близка к [Государственной открытой лицензии, версии 1.1](https://g.info.gov.ru/datamart/nsud-datamarts/-/blob/master/open_license_ru)).
